Bug 439324 - Resolution problems, refresh problems
Resolution problems, refresh problems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 22:08 EDT by Leslie Satenstein
Modified: 2008-04-04 21:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 21:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (55.11 KB, application/octet-stream)
2008-03-28 16:04 EDT, Flóki Pálsson
no flags Details
xorg.conf defult (383 bytes, application/octet-stream)
2008-03-28 16:09 EDT, Flóki Pálsson
no flags Details
xorg.conf defult (383 bytes, application/octet-stream)
2008-03-28 16:09 EDT, Flóki Pálsson
no flags Details
XORG.CONF after a reboot of system. (650 bytes, text/plain)
2008-03-28 19:50 EDT, Leslie Satenstein
no flags Details
xorg log file (59.38 KB, text/plain)
2008-03-28 20:52 EDT, Leslie Satenstein
no flags Details
Xorg.20.log (44.24 KB, text/plain)
2008-03-28 20:53 EDT, Leslie Satenstein
no flags Details
Xorg.21.log (42.11 KB, text/plain)
2008-03-28 20:53 EDT, Leslie Satenstein
no flags Details
Xorg.0.log (32.80 KB, application/octet-stream)
2008-03-28 21:27 EDT, Leslie Satenstein
no flags Details
Xorg.0.log.old (22.79 KB, application/octet-stream)
2008-03-28 21:27 EDT, Leslie Satenstein
no flags Details
Xorg.1.log (21.37 KB, application/octet-stream)
2008-03-28 21:28 EDT, Leslie Satenstein
no flags Details
xorg.1.log.old (5.38 KB, application/octet-stream)
2008-03-28 21:28 EDT, Leslie Satenstein
no flags Details
xorg.2.log (5.38 KB, application/octet-stream)
2008-03-28 21:29 EDT, Leslie Satenstein
no flags Details
Xorg.2.log.old (5.38 KB, application/octet-stream)
2008-03-28 21:30 EDT, Leslie Satenstein
no flags Details
xort.3.log (5.38 KB, application/octet-stream)
2008-03-28 21:30 EDT, Leslie Satenstein
no flags Details
Xorg.3.log.old (5.38 KB, application/octet-stream)
2008-03-28 21:31 EDT, Leslie Satenstein
no flags Details
Xorg.4.log (5.38 KB, application/octet-stream)
2008-03-28 21:32 EDT, Leslie Satenstein
no flags Details
Xorg.4.log.old (5.38 KB, application/octet-stream)
2008-03-28 21:33 EDT, Leslie Satenstein
no flags Details
Xorg.5.log (5.38 KB, application/octet-stream)
2008-03-28 21:33 EDT, Leslie Satenstein
no flags Details
Xorg.5.log.old (5.38 KB, application/octet-stream)
2008-03-28 21:34 EDT, Leslie Satenstein
no flags Details
This was the xorg.conf after installing patches and losing keyboard, etc. (650 bytes, application/octet-stream)
2008-03-28 21:35 EDT, Leslie Satenstein
no flags Details
Screen shot that shows loss of desktop contents. (344 bytes, image/png)
2008-03-28 21:36 EDT, Leslie Satenstein
no flags Details
What the screen shot should resemble (602.54 KB, image/png)
2008-03-28 21:37 EDT, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2008-03-27 22:08:10 EDT
Description of problem:
With this new beta version Fedora 9, my NEC MultiSync E1100+ is being pushed to
higher lines per screen. Also the display is shifted on the screen at the
adjusted resolution (1024x768). At high resolution, display is about 2 cm to the
left, and with adjusted resolution, about 1.5 cm to right. (Freq set to 85).

Just to put this in context. On the same system I have Fedora 7, Fedora 8 (both
64 bits, XP, and PCLINUXOS).  These are well behaved.

Using root and attempting to set display logon resolution to 1024 x 768,
(monitor can do 1920 x 1200), the display does not retain settings and returns
to some default value.  The keyboard does not retain settings of CA(FR). It
returns to USA value.  However, as normal user, the keyboard settings are
respected. It is for Root and display that X does not retain settings.
I am writing this from my Fedora 8 system, as the keyboard mapping is correct.

There are or may be conflicts between X and compiz/Gnome on this hardware.
 

Version-Release number of selected component (if applicable):
Fedora 9 March 25, following all updates.



How reproducible:

consistent problem. I will delete xorg.config file and see if X recreates it
properly.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

My hardware. Intel d945gnt motherboard, 3.5g memory, 330g hard disk, Intel d930
dual core cpu. Standard mouse. Monitor is NEC MultiSync E1100+.

The logon screen does not fill the width of the CRT (20inch crt).

As this is beta, will gladly accept test patches. I work during the day. This is
my personal desktop machine. Email address is leslie.satenstein@gmail.com
Comment 1 Matěj Cepl 2008-03-28 13:28:10 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Flóki Pálsson 2008-03-28 16:04:29 EDT
Created attachment 299516 [details]
Xorg.0.log
Comment 3 Flóki Pálsson 2008-03-28 16:09:09 EDT
Created attachment 299517 [details]
xorg.conf defult
Comment 4 Flóki Pálsson 2008-03-28 16:09:31 EDT
Created attachment 299518 [details]
xorg.conf defult
Comment 5 Flóki Pálsson 2008-03-28 16:10:28 EDT
I am having problem with keyboard setting.


Install FC9 beta.
Update all pakaces.

 
Comment 6 Flóki Pálsson 2008-03-28 16:12:35 EDT
[floki@localhost ~]$ su -
Password: 
[root@localhost ~]# system-config-keyboard
Ekki tókst að ræsa myndræna viðmótið. Fer í textaham.
Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 78,
in <module>
    useTextMode()
  File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 37,
in useTextMode
    import keyboard_tui
  File "/usr/share/system-config-keyboard/keyboard_tui.py", line 29, in <module>
    import rhpl.keyboard
  File "/usr/lib64/python2.5/site-packages/rhpl/keyboard.py", line 50
    if kb.GetPropertyString("info.product").startswith("Sun Type"):
                                                                  ^
SyntaxError: invalid syntax
[root@localhost ~]# 
Comment 7 Leslie Satenstein 2008-03-28 19:50:44 EDT
Created attachment 299532 [details]
XORG.CONF after a reboot of system. 

The above is my resulting xorg.conf after a few problems.

Note. In my system, deleting xorg.conf did not result in it's recreation.

I will wait a few days for updates and hopefully, the syntax problem will be
resolved in a new update.
Comment 8 Leslie Satenstein 2008-03-28 19:53:53 EDT
I am testing with the 32 bit system as I want to also test the codecs from
livna, etc.  Otherwise I would reinstall with 64bit version.

If you need 64 bit version, I will overwrite and do a 64 bit install. 

Comment 9 Matěj Cepl 2008-03-28 20:35:24 EDT
Leslie, could we get that both /var/log/Xorg.0.log (with and without xorg.conf)
as well, please?

Could you also please file a new bug for your keyboard troubles? We try to have
one bug per one issue -- any other organization of bugs would gets us into
pretty bad mess, I am afraid. Thank you.

Flóki, I don't understand how does your issue with keyboard relates to this bug,
which is about display problems, if I understand it correctly. Could you please
file a new bug (and attach there all the files which got here) for your issue?

Thank you very much.
Comment 10 Leslie Satenstein 2008-03-28 20:44:54 EDT
I will reboot to peel off the /var/log/xorg.0.log.  As I stated, I deleted the
xorg.conf (moved to desktop), and a new one was not created.  

I believe that Floki and I have the same keyboard problem, only the keyboard
layout/language is different. Floki has detected a colon syntax error where I
presume there should be  a semi-colon.

Comment 11 Leslie Satenstein 2008-03-28 20:52:39 EDT
Created attachment 299539 [details]
xorg log file 

As requested. I will have a few others as well.
Comment 12 Leslie Satenstein 2008-03-28 20:53:09 EDT
Created attachment 299540 [details]
Xorg.20.log
Comment 13 Leslie Satenstein 2008-03-28 20:53:40 EDT
Created attachment 299541 [details]
Xorg.21.log
Comment 14 Leslie Satenstein 2008-03-28 21:27:13 EDT
Created attachment 299542 [details]
Xorg.0.log

as requested
Comment 15 Leslie Satenstein 2008-03-28 21:27:54 EDT
Created attachment 299543 [details]
Xorg.0.log.old
Comment 16 Leslie Satenstein 2008-03-28 21:28:29 EDT
Created attachment 299544 [details]
Xorg.1.log
Comment 17 Leslie Satenstein 2008-03-28 21:28:59 EDT
Created attachment 299545 [details]
xorg.1.log.old
Comment 18 Leslie Satenstein 2008-03-28 21:29:37 EDT
Created attachment 299546 [details]
xorg.2.log
Comment 19 Leslie Satenstein 2008-03-28 21:30:02 EDT
Created attachment 299547 [details]
Xorg.2.log.old
Comment 20 Leslie Satenstein 2008-03-28 21:30:33 EDT
Created attachment 299548 [details]
xort.3.log
Comment 21 Leslie Satenstein 2008-03-28 21:31:41 EDT
Created attachment 299549 [details]
Xorg.3.log.old

typo with 299548 not xort but Xorg
Comment 22 Leslie Satenstein 2008-03-28 21:32:30 EDT
Created attachment 299550 [details]
Xorg.4.log
Comment 23 Leslie Satenstein 2008-03-28 21:33:21 EDT
Created attachment 299551 [details]
Xorg.4.log.old
Comment 24 Leslie Satenstein 2008-03-28 21:33:51 EDT
Created attachment 299552 [details]
Xorg.5.log
Comment 25 Leslie Satenstein 2008-03-28 21:34:23 EDT
Created attachment 299553 [details]
Xorg.5.log.old
Comment 26 Leslie Satenstein 2008-03-28 21:35:15 EDT
Created attachment 299554 [details]
This was the xorg.conf after installing patches and losing keyboard, etc.
Comment 27 Leslie Satenstein 2008-03-28 21:36:02 EDT
Created attachment 299555 [details]
Screen shot that shows loss of desktop contents.
Comment 28 Leslie Satenstein 2008-03-28 21:37:44 EDT
Created attachment 299556 [details]
What the screen shot should resemble

First screen shot shows no presentation data by gnome. 2nd is after a hardware
reboot.

No additional files for now.
Comment 29 Flóki Pálsson 2008-03-29 10:45:00 EDT
I have filed bug for keyboard 
See https://bugzilla.redhat.com/show_bug.cgi?id=439589

I have no display problems
First name for bug was differt
Comment 30 Leslie Satenstein 2008-03-29 17:10:25 EDT
Changing refresh speed from 85 to 75, while maintaining size corrects the shift
problem.
Updates received today (problem reported + 1 day) appears to have fixed the problem.
Why 75hz refresh for F9 but 85hz for f8 and f7?
 
Comment 31 Leslie Satenstein 2008-04-04 21:21:23 EDT
The slower refresh rate does not impact usability. In fact, the difference
between the 75hz and the other software versions refresh rate is not noticable
as I am not using the system for gaming.

Note You need to log in before you can comment on or make changes to this bug.